const
        N               = 5;

type
        matrix          = array[0..N,0..N] of integer;

var     i,j,k           : integer;
        a,b,c           : matrix;

procedure showMatrix(m:matrix);
var a,b : integer;
begin
        for a:=0 to N-1 do
        begin
                for b:=0 to N-1 do
                        write(m[a,b],'  ,');
                writeln;
        end;
        writeln;
end;

procedure setMatrix(var m:matrix;start:integer);
var a,b : integer;
begin
        for a:=0 to N-1 do
                for b:=0 to N-1 do
                        m[a,b]:=a*N+b+start;
end;

procedure mulMatrix(a,b:matrix;var c:matrix);
var i,j,k,s : integer;
begin
        for i:=0 to N-1 do
                for j:=0 to N-1 do
                begin
                        s:=0;
                        for k:=0 to N-1 do
                                s:=s+a[i,k]*a[k,j];
                        c[i,j]:=s;
                end;
end;

begin
        setMatrix(a,1);
        setMatrix(b,2);
        showMatrix(a);
        showMatrix(b);
        mulMatrix(a,b,c);
        showMatrix(c);
        readln;
end.
